<template>
  <tasks-detail v-if="task" :task="task" @removed="$router.back()" back></tasks-detail>
</template>

<script lang=ts>
import Task from "@/models/Task";
import { reactive, computed, ref, watch } from "vue";

import TasksDetail from "@/components/Tasks/Detail.vue";

export default {
  components: { TasksDetail },
  props: {
    task_id: {
      type: String,
      required: true,
    },
  },
  setup(props) {
    watch(() => props.task_id, id => Task.find(parseInt(id)), { immediate: true })
    return {
      task: computed(() => Task.query().where('id', '==', parseInt(props.task_id) as any).firstSync()),
    };
  },
};
</script>